Last Comment Bug 701703 - Null pointer exception thrown loading Fennec Start Page
: Null pointer exception thrown loading Fennec Start Page
Status: VERIFIED FIXED
[testday-20111111], [native-crash]
: crash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 critical (vote)
: ---
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
Mentors:
Depends on:
Blocks: native_droid_panning
  Show dependency treegraph
 
Reported: 2011-11-11 07:24 PST by David Burns :automatedtester
Modified: 2012-01-09 10:21 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
patch (806 bytes, patch)
2011-11-15 16:37 PST, Brad Lassey [:blassey] (use needinfo?)
dougt: review+
Details | Diff | Review

Description David Burns :automatedtester 2011-11-11 07:24:43 PST
I am seeing a NPE in the logs when loading fennec

Steps to reproduce. I built this from tip (http://hg.mozilla.org/projects/birch/rev/dce9246b76d7) and then loaded Fennec.

Steps to reproduce:

Load Fennec from cold and watch the logs


11-11 15:19:08.310: W/System.err(800): java.lang.NullPointerException
11-11 15:19:08.310: W/System.err(800): 	at org.mozilla.gecko.gfx.GeckoSoftwareLayerClient.endDrawing(GeckoSoftwareLayerClient.java:147)
11-11 15:19:08.320: W/System.err(800): 	at org.mozilla.gecko.GeckoAppShell.nativeRun(Native Method)
11-11 15:19:08.320: W/System.err(800): 	at org.mozilla.gecko.GeckoAppShell.nativeRun(Native Method)
11-11 15:19:08.320: W/System.err(800): 	at org.mozilla.gecko.GeckoAppShell.runGecko(GeckoAppShell.java:442)
11-11 15:19:08.320: W/System.err(800): 	at org.mozilla.gecko.GeckoThread.run(GeckoThread.java:116)
Comment 1 Brad Lassey [:blassey] (use needinfo?) 2011-11-15 16:37:52 PST
Created attachment 574728 [details] [diff] [review]
patch
Comment 2 Doug Turner (:dougt) 2011-11-15 20:10:10 PST
Comment on attachment 574728 [details] [diff] [review]
patch

Review of attachment 574728 [details] [diff] [review]:
-----------------------------------------------------------------

right, this can be called before gecko is up and running.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-17 11:51:15 PST
http://hg.mozilla.org/projects/birch/rev/96949a8ed922
Comment 4 Aaron Train [:aaronmt] 2011-11-18 06:58:10 PST
David, can you verify this?

Note You need to log in before you can comment on or make changes to this bug.